explain_wait4_or_die(3)

NAME
explain_wait4_or_die - wait for process to change state and report errors
    "wait for process to change state and report errors"

SYNOPSIS
#include <libexplain/wait4.h>

void explain_wait4_or_die(int pid, int *status, int options, struct rusage *rusage);

DESCRIPTION
The explain_wait4_or_die function is used to call the wait4(2) system call. On failure an explanation will be printed to stderr, obtained from explain_wait4(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_wait4_or_die(pid, status, options, rusage);

pid The pid, exactly as to be passed to the wait4(2) system call.

status
    The status, exactly as to be passed to the wait4(2) system call.

options
    The options, exactly as to be passed to the wait4(2) system call.

rusage
    The rusage, exactly as to be passed to the wait4(2) system call.

Returns:
    This function only returns on success, see wait4(2) for more information. On failure, prints an explanation and exits.

SEE ALSO

wait4(2)
    wait for process to change state

explain_wait4(3)
    explain wait4(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller